Package: org.codehaus.groovy.grails.orm.support

## [Groovy] Class GrailsTransactionTemplate

- org.codehaus.groovy.grails.orm.support.GrailsTransactionTemplate

- Template class that simplifies programmatic transaction demarcation and transaction exception handling.

  Authors:
    Kazuki YAMAMOTO

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GrailsTransactionTemplate.ThrowableHolder` | Internal holder class for a Throwable, used as a return value from a TransactionCallback (to be subsequently unwrapped again).
    `static class` | `GrailsTransactionTemplate.ThrowableHolderException` | Internal holder class for a Throwable, used as a RuntimeException to be thrown from a TransactionCallback (and subsequently unwrapped again).

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTransactionTemplate (org.springframework.transaction.PlatformTransactionManager transactionManager)`
    `GrailsTransactionTemplate (org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.TransactionDefinition transactionDefinition)`
    `GrailsTransactionTemplate (org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.interceptor.TransactionAttribute transactionAttribute)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `execute(groovy.lang.Closure action)`
    `java.lang.Object` | `executeAndRollback(groovy.lang.Closure action)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GrailsTransactionTemplate(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### GrailsTransactionTemplate(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.TransactionDefinition transactionDefinition)

    - #### GrailsTransactionTemplate(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.interceptor.TransactionAttribute transactionAttribute)

  - ### Method Detail

    - #### java.lang.Object execute(groovy.lang.Closure action)

    - #### java.lang.Object executeAndRollback(groovy.lang.Closure action)